Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class MetricDecorationProvider

    java.lang.Object
      org.apache.muse.ws.dm.muws.impl.MetricDecorationProvider

All Implemented Interfaces:
  PropertyReadListener

public class MetricDecorationProvider
extends java.lang.Object
implements PropertyReadListener

MetricDecorationProvider is a simple property listener that adds the standard WSDM MetricAttributes attributes to a property's XML definition. This listener is invoked just before the property's XML is returned to a client during a WS-RP read. It takes the metric's metadata and adds it to the XML being returned without modifying the WS-RP collection itself.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`MetricDecorationProvider(Metric metric)`

Method Summary
`QName` | `getPropertyName()`
`org.w3c.dom.Element[]` | `readRequested(org.w3c.dom.Element[] properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricDecorationProvider

    public MetricDecorationProvider(Metric metric)

Method Detail

### getPropertyName

    public QName getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyReadListener`
  Returns:
    The name of the property to monitor.

### readRequested

    public org.w3c.dom.Element[] readRequested(org.w3c.dom.Element[] properties)

  Specified by:
    `readRequested` in interface `PropertyReadListener`
  Parameters:
    `properties` - The actual property values that will be returned to the caller at the end of the read operation. WS-RP collections should not pass copies of the values to a listener, since that prevents the ability to define dynamic property values (properties that constantly change and are only updated on read requests).

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD